MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026203Open CASCADE[OCCT] OCCT:Foundation Classespublic2015-05-08 13:512015-10-23 20:51
Reporterdbp 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026203: Foundation Classes - provide method ::Swap() for NCollection_IndexedMap and NCollection_IndexedDataMap
DescriptionIt is necessary to implement the ability to transpose elements in the NCollection_IndexedMap.
Steps To Reproduce# performs test for correctness and performance
pload ALL
pload QAcommands
QANTestNCollectionIndexedMap
TagsNo tags attached.
Test case numberperf ncollection A2, A3
Attached Files

- Relationships
child of 0026199closedbugmaster Visualization - use NCollection_IndexedMap instead of NCollection_Sequence in OpenGl_BVHClipPrimitiveSet to improve performance 

-  Notes
(0040779)
git (administrator)
2015-05-08 14:23

Branch CR26203 has been created by dbp.

SHA-1: 6ba4138bad509bc60a3e1d6f69b041ff98b2420d


Detailed log of new commits:

Author: dbp
Date: Fri May 8 14:22:49 2015 +0300

    0026203: Foundation Classes - Provide NCollection_IndexedMap::Swap to transpose map elements
(0040780)
dbp (developer)
2015-05-08 14:29

Dear abv,

please review the patch in branch CR26203.
(0040781)
git (administrator)
2015-05-08 14:57

Branch CR26203 has been updated forcibly by dbp.

SHA-1: 2b01570f8afb87b20958cbc2b502662b323680a6
(0040799)
git (administrator)
2015-05-08 16:33

Branch CR26203 has been updated forcibly by dbp.

SHA-1: 3f803c24b8190a8b356c9909bd225f85ec47211d
(0040825)
abv (manager)
2015-05-12 13:55

No remarks, please test. For testing, please add new tests making calls to all functions defined in QANcollection_Stl.cxx. I believe test grid perf/ncollection is optimal place to put this (now it contains single test calling only one of these commands).
(0040855)
git (administrator)
2015-05-13 15:21

Branch CR26203 has been updated by apv.

SHA-1: 2b7880a80ada5d9654462e2d9c6b7c2432d50f99


Detailed log of new commits:

Author: apv
Date: Wed May 13 15:20:56 2015 +0300

    Add new tests in group "perf ncollection"

(0040856)
git (administrator)
2015-05-13 15:24

Branch CR26203 has been updated by apv.

SHA-1: 159fac6e13dea5bd0abd990ea290b2a233e41f94


Detailed log of new commits:

Author: apv
Date: Wed May 13 15:24:17 2015 +0300

    Update of test-case perf ncollection A4

(0040857)
apv (tester)
2015-05-13 15:26

Dear dbp, please review test-cases perf ncollection A3, A4

Dear abv, please review test-case perf ncollection A2
(0040858)
abv (manager)
2015-05-13 16:03
edited on: 2015-05-13 16:11

Andrey, please avoid using commands dlog and decho inside test scripts.

In test A2 you only need to call QANTestStlIterators and add line like this in parse.rules to get fails reported:

FAILED /FAIL/ operation error

Note that test A2 is not related to performance, it can be better put to bugs/fclasses. Please also add other test commands found in QANCollection_Stl.cxx

(0040882)
git (administrator)
2015-05-14 11:47

Branch CR26203 has been updated by dbp.

SHA-1: fbee05131f1597f725bd1419a062864984fba943


Detailed log of new commits:

Author: dbp
Date: Thu May 14 11:47:49 2015 +0300

    Fix bug in Swap methods (NCollection_IndexedMap/NCollection_IndexedDataMap).

(0040883)
dbp (developer)
2015-05-14 11:51

Dear apv,

I have no other remarks on test cases (perf ncollection A3, A4). Please note that branch was updated: we found potential issue and elimated it. So, it is better to get updated performance results.
(0041183)
git (administrator)
2015-05-15 16:43

Branch CR26203 has been updated forcibly by apv.

SHA-1: 700ba23e63a385db4bdc86a6505673be81819db7
(0041184)
apv (tester)
2015-05-15 16:45

Branch CR26203 has been rebased on the current master
(0041222)
apv (tester)
2015-05-18 12:30

Dear BugMaster,

Branch CR26203 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 700ba23e63a385db4bdc86a6505673be81819db7

Number of compiler warnings:
occt component:
   Linux: 18 (18 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 4 (4 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
perf ncollection A2 - OK
http://occt-tests/CR26203-master-occt-64/Debian70-64/perf/ncollection/A2.html [^]
http://occt-tests/CR26203-master-occt-64/Windows-64-VC10/perf/ncollection/A2.html [^]
perf ncollection A3 - OK
http://occt-tests/CR26203-master-occt-64/Debian70-64/perf/ncollection/A3.html [^]
http://occt-tests/CR26203-master-occt-64/Windows-64-VC10/perf/ncollection/A3.html [^]

Testing on Linux:
Total MEMORY difference: 95654928 / 100060705 [-4.40%]
Total CPU difference: 19016.160000001375 / 19252.430000000175 [-1.23%]

Testing on Windows:
Total MEMORY difference: 59104923 / 59318564 [-0.36%]
Total CPU difference: 17011.300646098978 / 17014.23346489895 [-0.02%]
(0041238)
git (administrator)
2015-05-18 15:36

Branch CR26203_1 has been created by kgv.

SHA-1: 0eae7b4bb65edbaccad1b69114b7685abeea4fba


Detailed log of new commits:

Author: dbp
Date: Mon May 18 15:36:23 2015 +0300

    0026203: Foundation Classes - provide method ::Swap() for NCollection_IndexedMap::Swap() and NCollection_IndexedDataMap to transpose map elements
    
    Add new tests in group "perf ncollection".
(0041239)
kgv (developer)
2015-05-18 15:37

Please use branch CR26203_1 for integration (the same as CR26203 with squashed commits and updated description - nothing to re-test).
(0041240)
git (administrator)
2015-05-18 15:42

Branch CR26203_1 has been updated forcibly by kgv.

SHA-1: ae4dcb25718be4a01b25100dbb1a5e8058527f08
(0043546)
git (administrator)
2015-07-27 13:48

Branch CR26203 has been deleted by kgv.

SHA-1: 700ba23e63a385db4bdc86a6505673be81819db7
(0043547)
git (administrator)
2015-07-27 13:48

Branch CR26203_1 has been deleted by kgv.

SHA-1: ae4dcb25718be4a01b25100dbb1a5e8058527f08

- Related Changesets
occt: master 9e506120
Timestamp: 2015-05-18 12:42:30
Author: dbp
Committer: bugmaster
Details ] Diff ]
0026203: Foundation Classes - provide method ::Swap() for NCollection_IndexedMap and NCollection_IndexedDataMap to transpose map elements

Add new tests in group "perf ncollection".
mod - src/NCollection/NCollection_IndexedDataMap.hxx Diff ] File ]
mod - src/NCollection/NCollection_IndexedMap.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_Stl.cxx Diff ] File ]
add - tests/bugs/fclasses/bug24831 Diff ] File ]
add - tests/perf/ncollection/A2 Diff ] File ]
add - tests/perf/ncollection/A3 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-05-08 13:51 dbp New Issue
2015-05-08 13:51 dbp Assigned To => dbp
2015-05-08 14:23 git Note Added: 0040779
2015-05-08 14:29 dbp Note Added: 0040780
2015-05-08 14:29 dbp Assigned To dbp => abv
2015-05-08 14:29 dbp Status new => resolved
2015-05-08 14:29 dbp Steps to Reproduce Updated View Revisions
2015-05-08 14:57 git Note Added: 0040781
2015-05-08 15:41 kgv Severity minor => feature
2015-05-08 16:33 git Note Added: 0040799
2015-05-12 13:55 abv Note Added: 0040825
2015-05-12 13:55 abv Assigned To abv => bugmaster
2015-05-12 13:55 abv Status resolved => reviewed
2015-05-12 17:33 apv Assigned To bugmaster => apv
2015-05-13 15:21 git Note Added: 0040855
2015-05-13 15:22 apv Test case number => perf ncollection A3, A4
2015-05-13 15:24 git Note Added: 0040856
2015-05-13 15:26 apv Note Added: 0040857
2015-05-13 15:26 apv Assigned To apv => dbp
2015-05-13 15:26 apv Status reviewed => feedback
2015-05-13 16:03 abv Note Added: 0040858
2015-05-13 16:11 abv Note Edited: 0040858 View Revisions
2015-05-14 11:47 git Note Added: 0040882
2015-05-14 11:51 dbp Note Added: 0040883
2015-05-14 11:51 dbp Assigned To dbp => apv
2015-05-14 11:51 dbp Status feedback => reviewed
2015-05-15 16:43 git Note Added: 0041183
2015-05-15 16:45 apv Note Added: 0041184
2015-05-15 16:46 apv Test case number perf ncollection A3, A4 => perf ncollection A2, A3
2015-05-18 12:30 apv Note Added: 0041222
2015-05-18 12:30 apv Assigned To apv => bugmaster
2015-05-18 12:30 apv Status reviewed => tested
2015-05-18 15:36 git Note Added: 0041238
2015-05-18 15:37 kgv Note Added: 0041239
2015-05-18 15:41 kgv Summary Foundation Classes - Provide NCollection_IndexedMap::Swap to transpose map elements => Foundation Classes - provide method ::Swap() for NCollection_IndexedMap and NCollection_IndexedDataMap
2015-05-18 15:42 git Note Added: 0041240
2015-05-22 12:19 bugmaster Changeset attached => occt master 9e506120
2015-05-22 12:19 bugmaster Status tested => verified
2015-05-22 12:19 bugmaster Resolution open => fixed
2015-07-27 13:48 git Note Added: 0043546
2015-07-27 13:48 git Note Added: 0043547
2015-08-20 09:26 abv Relationship added child of 0026199
2015-08-26 11:11 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 aiv Status verified => closed
2015-10-23 20:51 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker